//<?php

class surly_hook_Post extends _HOOK_CLASS_
{
	/**
	 * Returns the content
	 *
	 * @return	string
	 */
	public function content()
	{
		return \IPS\surly\Surly\SurlyIpb::i()->processByGroup(parent::content(), $this->author()->member_group_id);
	}

	/**
	 * Get author
	 *
	 * @return	\IPS\Member
	 */
	public function author()
	{
		$member = parent::author();

		if ($member->signature) {
			$member->signature = \IPS\surly\Surly\SurlyIpb::i()->processByGroup($member->signature, $member->member_group_id);
		}

		return $member;
	}
	
}